---
search:
  tags:
    - Price Relay Rules
    - POST
seo:
  description: >-
    Connect a source rule to a target rule. Reference for the POST
    /api/v1/{team_slug}/{app_slug}/price-relay-connections endpoint in the
    Management API.
sidebar:
  label: Connect a source rule to a target rule
  badge: POST
title: Connect a source rule to a target rule
type: openapi-operation
---
`POST /api/v1/{team_slug}/{app_slug}/price-relay-connections`

**Request body** (`application/json`, required)

connection details

- `source_rule_id` (string, required)
- `target_rule_id` (string, required)

Request body example:

```json
{
  "source_rule_id": "string",
  "target_rule_id": "string"
}
```

**Responses**

- `200` — connection created
- `400` — Invalid request
- `404` — Rule not found
- `409` — Already connected
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "source_rule_id": "string",
    "target_rule_id": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
